Bug 19994 - use Modern::Perl in Authorities perl scripts
Summary: use Modern::Perl in Authorities perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-01-17 04:37 UTC by Aleisha Amohia
Modified: 2019-02-25 09:36 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19994: use Modern::Perl in Authorities perl scripts (4.47 KB, patch)
2018-01-18 01:45 UTC, Grace
Details | Diff | Splinter Review
Bug 19994: use Modern::Perl in Authorities perl scripts (3.90 KB, patch)
2018-01-18 03:44 UTC, Grace
Details | Diff | Splinter Review
Bug 19994: Used Modern::Perl in Authorities perl scripts (4.23 KB, patch)
2019-01-17 00:58 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 19994: Used Modern::Perl in Authorities perl scripts (4.28 KB, patch)
2019-01-18 05:55 UTC, David Nind
Details | Diff | Splinter Review
Bug 19994: Used Modern::Perl in Authorities perl scripts (4.33 KB, patch)
2019-01-20 14:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:37:13 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
auth_finder.pl
authorities-home.pl
authorities-list.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl
Comment 1 Grace 2018-01-18 01:45:32 UTC
Created attachment 70661 [details] [review]
Bug 19994: use Modern::Perl in Authorities perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

auth_finder.pl
authorities-home.pl
authorities-list.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl
Comment 2 Grace 2018-01-18 03:44:13 UTC
Created attachment 70675 [details] [review]
Bug 19994: use Modern::Perl in Authorities perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

auth_finder.pl
authorities-home.pl
authorities-list.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl
Comment 3 Jon Knight 2018-01-24 17:17:07 UTC
The files:

authorities/detail-biblio-search.pl
authorities/export.pl

still appear to have a use strict in them after applying the patch.
Comment 4 Aleisha Amohia 2018-12-20 02:29:48 UTC
Patch needs rebasing:

Applying: Bug 19994: use Modern::Perl in Authorities perl scripts
Using index info to reconstruct a base tree...
M	authorities/auth_finder.pl
M	authorities/authorities-home.pl
A	authorities/authorities-list.pl
M	authorities/authorities.pl
M	authorities/blinddetail-biblio-search.pl
M	authorities/detail.pl
M	authorities/merge.pl
Falling back to patching base and 3-way merge...
Auto-merging authorities/merge.pl
Auto-merging authorities/detail.pl
Auto-merging authorities/blinddetail-biblio-search.pl
Auto-merging authorities/authorities.pl
CONFLICT (modify/delete): authorities/authorities-list.pl deleted in HEAD and modified in Bug 19994: use Modern::Perl in Authorities perl scripts. Version Bug 19994: use Modern::Perl in Authorities perl scripts of authorities/authorities-list.pl left in tree.
Auto-merging authorities/authorities-home.pl
Auto-merging authorities/auth_finder.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 19994: use Modern::Perl in Authorities perl scripts
Comment 5 Jasmine Amohia 2019-01-17 00:58:18 UTC
Created attachment 84109 [details] [review]
Bug 19994: Used Modern::Perl in Authorities perl scripts

Test plan:
1. Review code of the following files and confirm that 'use Modern::Perl;' is used in place of
'use strict; use warnings;'

auth_finder.pl
authorities-home.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl
Comment 6 David Nind 2019-01-18 05:55:54 UTC
Created attachment 84178 [details] [review]
Bug 19994: Used Modern::Perl in Authorities perl scripts

Test plan:
1. Review code of the following files and confirm that 'use Modern::Perl;' is used in place of
'use strict; use warnings;'

auth_finder.pl
authorities-home.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2019-01-20 14:46:07 UTC
Created attachment 84255 [details] [review]
Bug 19994: Used Modern::Perl in Authorities perl scripts

Test plan:
1. Review code of the following files and confirm that 'use Modern::Perl;' is used in place of
'use strict; use warnings;'

auth_finder.pl
authorities-home.pl
authorities.pl
blinddetail-biblio-search.pl
detail-biblio-search.pl
detail.pl
export.pl
merge.pl
merge_ajax.pl

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Nick Clemens 2019-01-28 16:09:24 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-02-01 15:06:56 UTC
Pushed to 18.11.x for 18.11.03
Comment 10 Jesse Maseto 2019-02-06 18:07:07 UTC
Pushed to 18.05.x for 18.05.09
Comment 11 Fridolin SOMERS 2019-02-25 09:36:42 UTC
Trivial, I dont push to 17.11.x